Mailmus

Auth

GET
/projects/{projectId}/auth-provider-health
AuthorizationBearer <token>

In: header

Path Parameters

projectId*string

Response Body

application/json

curl -X GET "https://example.com/projects/string/auth-provider-health"
[  {    "id": "string",    "provider": "APPLE",    "stage": "CONFIGURATION",    "reason": "unreadable_private_key",    "occurrences": 0,    "startedAt": "2019-08-24T14:15:22Z",    "lastSeenAt": "2019-08-24T14:15:22Z",    "resolvedAt": "string"  }]
GET
/projects/{projectId}/auth-provider-health/history
AuthorizationBearer <token>

In: header

Path Parameters

projectId*string

Query Parameters

days?number

Response Body

application/json

curl -X GET "https://example.com/projects/string/auth-provider-health/history"
[  {    "id": "string",    "provider": "APPLE",    "stage": "CONFIGURATION",    "reason": "unreadable_private_key",    "occurrences": 0,    "startedAt": "2019-08-24T14:15:22Z",    "lastSeenAt": "2019-08-24T14:15:22Z",    "resolvedAt": "string"  }]
GET
/projects/{projectId}/auth-provider-health/timelines
AuthorizationBearer <token>

In: header

Path Parameters

projectId*string

Query Parameters

days?number

Response Body

application/json

curl -X GET "https://example.com/projects/string/auth-provider-health/timelines"
[  {    "provider": "GITHUB",    "days": [      {        "day": "string",        "incidents": 0,        "blocking": true      }    ]  }]
GET
/projects/{projectId}/auth/hosted-config

Path Parameters

projectId*string

Response Body

application/json

curl -X GET "https://example.com/projects/string/auth/hosted-config"
{  "projectName": "string",  "enabled": true,  "allowedProviders": [    "string"  ],  "redirectUrlAllowlist": [    "string"  ],  "logoUrl": "string",  "primaryColor": "string",  "organizationsEnabled": true,  "locale": "en",  "oauth": {    "bridgeBaseUrl": "string",    "providers": {      "property1": {        "clientId": "string"      },      "property2": {        "clientId": "string"      },      "clientId": "string"    }  }}
POST
/projects/{projectId}/auth/sign-up

Path Parameters

projectId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/projects/string/auth/sign-up" \  -H "Content-Type: application/json" \  -d '{    "email": "string",    "password": "string"  }'
{  "accessToken": "string",  "refreshToken": "string",  "expiresIn": 900,  "customer": {    "id": "string",    "projectId": "string",    "email": "string",    "emailVerifiedAt": "2019-08-24T14:15:22Z",    "phone": "string",    "phoneVerifiedAt": "2019-08-24T14:15:22Z",    "metadata": {},    "roles": [      "string"    ],    "lastSignInAt": "2019-08-24T14:15:22Z",    "bannedAt": "2019-08-24T14:15:22Z",    "mfaEnabled": true,    "mfaEnabledAt": "2019-08-24T14:15:22Z",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "identities": [      {        "provider": "GOOGLE",        "createdAt": "2019-08-24T14:15:22Z"      }    ]  }}
POST
/projects/{projectId}/auth/sign-in

Path Parameters

projectId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/projects/string/auth/sign-in" \  -H "Content-Type: application/json" \  -d '{    "email": "string",    "password": "string"  }'
{  "accessToken": "string",  "refreshToken": "string",  "expiresIn": 900,  "customer": {    "id": "string",    "projectId": "string",    "email": "string",    "emailVerifiedAt": "2019-08-24T14:15:22Z",    "phone": "string",    "phoneVerifiedAt": "2019-08-24T14:15:22Z",    "metadata": {},    "roles": [      "string"    ],    "lastSignInAt": "2019-08-24T14:15:22Z",    "bannedAt": "2019-08-24T14:15:22Z",    "mfaEnabled": true,    "mfaEnabledAt": "2019-08-24T14:15:22Z",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "identities": [      {        "provider": "GOOGLE",        "createdAt": "2019-08-24T14:15:22Z"      }    ]  }}
POST
/projects/{projectId}/auth/refresh

Path Parameters

projectId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/projects/string/auth/refresh" \  -H "Content-Type: application/json" \  -d '{    "refreshToken": "string"  }'
{  "accessToken": "string",  "refreshToken": "string",  "expiresIn": 900}
POST
/projects/{projectId}/auth/sign-out

Path Parameters

projectId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X POST "https://example.com/projects/string/auth/sign-out" \  -H "Content-Type: application/json" \  -d '{    "refreshToken": "string"  }'
Empty
POST
/projects/{projectId}/auth/magic-link

Path Parameters

projectId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X POST "https://example.com/projects/string/auth/magic-link" \  -H "Content-Type: application/json" \  -d '{    "email": "string"  }'
Empty
POST
/projects/{projectId}/auth/magic-link/verify

Path Parameters

projectId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/projects/string/auth/magic-link/verify" \  -H "Content-Type: application/json" \  -d '{    "token": "string"  }'
{  "accessToken": "string",  "refreshToken": "string",  "expiresIn": 900,  "customer": {    "id": "string",    "projectId": "string",    "email": "string",    "emailVerifiedAt": "2019-08-24T14:15:22Z",    "phone": "string",    "phoneVerifiedAt": "2019-08-24T14:15:22Z",    "metadata": {},    "roles": [      "string"    ],    "lastSignInAt": "2019-08-24T14:15:22Z",    "bannedAt": "2019-08-24T14:15:22Z",    "mfaEnabled": true,    "mfaEnabledAt": "2019-08-24T14:15:22Z",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "identities": [      {        "provider": "GOOGLE",        "createdAt": "2019-08-24T14:15:22Z"      }    ]  }}
POST
/projects/{projectId}/auth/otp

Path Parameters

projectId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X POST "https://example.com/projects/string/auth/otp" \  -H "Content-Type: application/json" \  -d '{    "email": "string"  }'
Empty
POST
/projects/{projectId}/auth/otp/verify

Path Parameters

projectId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/projects/string/auth/otp/verify" \  -H "Content-Type: application/json" \  -d '{    "email": "string",    "code": "string"  }'
{  "accessToken": "string",  "refreshToken": "string",  "expiresIn": 900,  "customer": {    "id": "string",    "projectId": "string",    "email": "string",    "emailVerifiedAt": "2019-08-24T14:15:22Z",    "phone": "string",    "phoneVerifiedAt": "2019-08-24T14:15:22Z",    "metadata": {},    "roles": [      "string"    ],    "lastSignInAt": "2019-08-24T14:15:22Z",    "bannedAt": "2019-08-24T14:15:22Z",    "mfaEnabled": true,    "mfaEnabledAt": "2019-08-24T14:15:22Z",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "identities": [      {        "provider": "GOOGLE",        "createdAt": "2019-08-24T14:15:22Z"      }    ]  }}
POST
/projects/{projectId}/auth/phone-otp

Path Parameters

projectId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X POST "https://example.com/projects/string/auth/phone-otp" \  -H "Content-Type: application/json" \  -d '{    "phone": "string"  }'
Empty
POST
/projects/{projectId}/auth/phone-otp/verify

Path Parameters

projectId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/projects/string/auth/phone-otp/verify" \  -H "Content-Type: application/json" \  -d '{    "phone": "string",    "code": "string"  }'
{  "accessToken": "string",  "refreshToken": "string",  "expiresIn": 900,  "customer": {    "id": "string",    "projectId": "string",    "email": "string",    "emailVerifiedAt": "2019-08-24T14:15:22Z",    "phone": "string",    "phoneVerifiedAt": "2019-08-24T14:15:22Z",    "metadata": {},    "roles": [      "string"    ],    "lastSignInAt": "2019-08-24T14:15:22Z",    "bannedAt": "2019-08-24T14:15:22Z",    "mfaEnabled": true,    "mfaEnabledAt": "2019-08-24T14:15:22Z",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "identities": [      {        "provider": "GOOGLE",        "createdAt": "2019-08-24T14:15:22Z"      }    ]  }}
POST
/projects/{projectId}/auth/google/callback

Path Parameters

projectId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/projects/string/auth/google/callback" \  -H "Content-Type: application/json" \  -d '{    "code": "string",    "redirectUri": "string"  }'
{  "accessToken": "string",  "refreshToken": "string",  "expiresIn": 900,  "customer": {    "id": "string",    "projectId": "string",    "email": "string",    "emailVerifiedAt": "2019-08-24T14:15:22Z",    "phone": "string",    "phoneVerifiedAt": "2019-08-24T14:15:22Z",    "metadata": {},    "roles": [      "string"    ],    "lastSignInAt": "2019-08-24T14:15:22Z",    "bannedAt": "2019-08-24T14:15:22Z",    "mfaEnabled": true,    "mfaEnabledAt": "2019-08-24T14:15:22Z",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "identities": [      {        "provider": "GOOGLE",        "createdAt": "2019-08-24T14:15:22Z"      }    ]  }}
POST
/projects/{projectId}/auth/github/callback

Path Parameters

projectId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/projects/string/auth/github/callback" \  -H "Content-Type: application/json" \  -d '{    "code": "string",    "redirectUri": "string"  }'
{  "accessToken": "string",  "refreshToken": "string",  "expiresIn": 900,  "customer": {    "id": "string",    "projectId": "string",    "email": "string",    "emailVerifiedAt": "2019-08-24T14:15:22Z",    "phone": "string",    "phoneVerifiedAt": "2019-08-24T14:15:22Z",    "metadata": {},    "roles": [      "string"    ],    "lastSignInAt": "2019-08-24T14:15:22Z",    "bannedAt": "2019-08-24T14:15:22Z",    "mfaEnabled": true,    "mfaEnabledAt": "2019-08-24T14:15:22Z",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "identities": [      {        "provider": "GOOGLE",        "createdAt": "2019-08-24T14:15:22Z"      }    ]  }}
POST
/projects/{projectId}/auth/apple/callback

Path Parameters

projectId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/projects/string/auth/apple/callback" \  -H "Content-Type: application/json" \  -d '{    "code": "string",    "redirectUri": "string"  }'
{  "accessToken": "string",  "refreshToken": "string",  "expiresIn": 900,  "customer": {    "id": "string",    "projectId": "string",    "email": "string",    "emailVerifiedAt": "2019-08-24T14:15:22Z",    "phone": "string",    "phoneVerifiedAt": "2019-08-24T14:15:22Z",    "metadata": {},    "roles": [      "string"    ],    "lastSignInAt": "2019-08-24T14:15:22Z",    "bannedAt": "2019-08-24T14:15:22Z",    "mfaEnabled": true,    "mfaEnabledAt": "2019-08-24T14:15:22Z",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "identities": [      {        "provider": "GOOGLE",        "createdAt": "2019-08-24T14:15:22Z"      }    ]  }}
POST
/projects/{projectId}/auth/forgot-password

Path Parameters

projectId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X POST "https://example.com/projects/string/auth/forgot-password" \  -H "Content-Type: application/json" \  -d '{    "email": "string",    "redirectUri": "string"  }'
Empty
POST
/projects/{projectId}/auth/reset-password

Path Parameters

projectId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X POST "https://example.com/projects/string/auth/reset-password" \  -H "Content-Type: application/json" \  -d '{    "token": "string",    "newPassword": "string"  }'
Empty
POST
/projects/{projectId}/auth/verify-email

Path Parameters

projectId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X POST "https://example.com/projects/string/auth/verify-email" \  -H "Content-Type: application/json" \  -d '{    "token": "string"  }'
Empty
POST
/projects/{projectId}/auth/mfa/verify

Path Parameters

projectId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/projects/string/auth/mfa/verify" \  -H "Content-Type: application/json" \  -d '{    "challengeToken": "string",    "code": "string"  }'
{  "accessToken": "string",  "refreshToken": "string",  "expiresIn": 900,  "customer": {    "id": "string",    "projectId": "string",    "email": "string",    "emailVerifiedAt": "2019-08-24T14:15:22Z",    "phone": "string",    "phoneVerifiedAt": "2019-08-24T14:15:22Z",    "metadata": {},    "roles": [      "string"    ],    "lastSignInAt": "2019-08-24T14:15:22Z",    "bannedAt": "2019-08-24T14:15:22Z",    "mfaEnabled": true,    "mfaEnabledAt": "2019-08-24T14:15:22Z",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "identities": [      {        "provider": "GOOGLE",        "createdAt": "2019-08-24T14:15:22Z"      }    ]  }}
GET
/projects/{projectId}/.well-known/jwks.json

Path Parameters

projectId*string

Response Body

application/json

curl -X GET "https://example.com/projects/string/.well-known/jwks.json"
{  "keys": [    {}  ]}
POST
/projects/{projectId}/auth/mfa/enroll

Path Parameters

projectId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/projects/string/auth/mfa/enroll" \  -H "Content-Type: application/json" \  -d '{}'
{  "secret": "string",  "otpauthUrl": "otpauth://totp/..."}
POST
/projects/{projectId}/auth/mfa/confirm

Path Parameters

projectId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/projects/string/auth/mfa/confirm" \  -H "Content-Type: application/json" \  -d '{    "code": "string"  }'
{  "backupCodes": [    "string"  ]}
POST
/projects/{projectId}/auth/mfa/disable

Path Parameters

projectId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X POST "https://example.com/projects/string/auth/mfa/disable" \  -H "Content-Type: application/json" \  -d '{    "code": "string"  }'
Empty
GET
/projects/{projectId}/auth-settings

Path Parameters

projectId*string

Response Body

application/json

curl -X GET "https://example.com/projects/string/auth-settings"
{  "id": "string",  "appId": "string",  "enabled": true,  "allowedProviders": [    "string"  ],  "redirectUrlAllowlist": [    "string"  ],  "accessTokenTtlSeconds": 0,  "refreshTokenTtlDays": 0,  "logoUrl": "string",  "primaryColor": "string",  "customDomain": "string",  "customDomainStatus": "PENDING",  "organizationsEnabled": true,  "locale": "en",  "testPhoneNumber": "string",  "testPhoneVerifiedAt": "2019-08-24T14:15:22Z",  "testPhoneChangesUsed": 0,  "testPhonePendingNumber": "string",  "testPhonePendingExpiresAt": "2019-08-24T14:15:22Z",  "testPhonePendingAttempts": 0,  "testPhoneSendCount": 0,  "testPhoneSendPeriodStart": "2019-08-24T14:15:22Z",  "phoneCodeAllowedCountries": [    "string"  ],  "newSignupCount": 0,  "newSignupPeriodStart": "2019-08-24T14:15:22Z",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}
PATCH
/projects/{projectId}/auth-settings

Path Parameters

projectId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://example.com/projects/string/auth-settings" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "string",  "appId": "string",  "enabled": true,  "allowedProviders": [    "string"  ],  "redirectUrlAllowlist": [    "string"  ],  "accessTokenTtlSeconds": 0,  "refreshTokenTtlDays": 0,  "logoUrl": "string",  "primaryColor": "string",  "customDomain": "string",  "customDomainStatus": "PENDING",  "organizationsEnabled": true,  "locale": "en",  "testPhoneNumber": "string",  "testPhoneVerifiedAt": "2019-08-24T14:15:22Z",  "testPhoneChangesUsed": 0,  "testPhonePendingNumber": "string",  "testPhonePendingExpiresAt": "2019-08-24T14:15:22Z",  "testPhonePendingAttempts": 0,  "testPhoneSendCount": 0,  "testPhoneSendPeriodStart": "2019-08-24T14:15:22Z",  "phoneCodeAllowedCountries": [    "string"  ],  "newSignupCount": 0,  "newSignupPeriodStart": "2019-08-24T14:15:22Z",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}
POST
/projects/{projectId}/auth-settings/rotate-signing-key

Path Parameters

projectId*string

Response Body

application/json

curl -X POST "https://example.com/projects/string/auth-settings/rotate-signing-key"
{  "kid": "string",  "createdAt": "2019-08-24T14:15:22Z"}
POST
/projects/{projectId}/auth-settings/verify-domain

Path Parameters

projectId*string

Response Body

application/json

curl -X POST "https://example.com/projects/string/auth-settings/verify-domain"
{  "id": "string",  "appId": "string",  "enabled": true,  "allowedProviders": [    "string"  ],  "redirectUrlAllowlist": [    "string"  ],  "accessTokenTtlSeconds": 0,  "refreshTokenTtlDays": 0,  "logoUrl": "string",  "primaryColor": "string",  "customDomain": "string",  "customDomainStatus": "PENDING",  "organizationsEnabled": true,  "locale": "en",  "testPhoneNumber": "string",  "testPhoneVerifiedAt": "2019-08-24T14:15:22Z",  "testPhoneChangesUsed": 0,  "testPhonePendingNumber": "string",  "testPhonePendingExpiresAt": "2019-08-24T14:15:22Z",  "testPhonePendingAttempts": 0,  "testPhoneSendCount": 0,  "testPhoneSendPeriodStart": "2019-08-24T14:15:22Z",  "phoneCodeAllowedCountries": [    "string"  ],  "newSignupCount": 0,  "newSignupPeriodStart": "2019-08-24T14:15:22Z",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}
POST
/projects/{projectId}/auth-settings/test-phone/request

Path Parameters

projectId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X POST "https://example.com/projects/string/auth-settings/test-phone/request" \  -H "Content-Type: application/json" \  -d '{    "phone": "string"  }'
Empty
POST
/projects/{projectId}/auth-settings/test-phone/verify

Path Parameters

projectId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/projects/string/auth-settings/test-phone/verify" \  -H "Content-Type: application/json" \  -d '{    "code": "string"  }'
{  "id": "string",  "appId": "string",  "enabled": true,  "allowedProviders": [    "string"  ],  "redirectUrlAllowlist": [    "string"  ],  "accessTokenTtlSeconds": 0,  "refreshTokenTtlDays": 0,  "logoUrl": "string",  "primaryColor": "string",  "customDomain": "string",  "customDomainStatus": "PENDING",  "organizationsEnabled": true,  "locale": "en",  "testPhoneNumber": "string",  "testPhoneVerifiedAt": "2019-08-24T14:15:22Z",  "testPhoneChangesUsed": 0,  "testPhonePendingNumber": "string",  "testPhonePendingExpiresAt": "2019-08-24T14:15:22Z",  "testPhonePendingAttempts": 0,  "testPhoneSendCount": 0,  "testPhoneSendPeriodStart": "2019-08-24T14:15:22Z",  "phoneCodeAllowedCountries": [    "string"  ],  "newSignupCount": 0,  "newSignupPeriodStart": "2019-08-24T14:15:22Z",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}
GET
/hosted-domains/{host}

Path Parameters

host*string

Response Body

application/json

curl -X GET "https://example.com/hosted-domains/string"
{  "appId": "string"}
GET
/projects/{projectId}/auth/sessions

Path Parameters

projectId*string

Response Body

application/json

curl -X GET "https://example.com/projects/string/auth/sessions"
[  {    "id": "string",    "userAgent": "string",    "ipAddress": "string",    "createdAt": "2019-08-24T14:15:22Z",    "expiresAt": "2019-08-24T14:15:22Z",    "current": true  }]
DELETE
/projects/{projectId}/auth/sessions/{id}

Path Parameters

id*string
projectId*string

Response Body

curl -X DELETE "https://example.com/projects/string/auth/sessions/string"
Empty
GET
/projects/{projectId}/auth/organizations/mine

Path Parameters

projectId*string

Response Body

application/json

curl -X GET "https://example.com/projects/string/auth/organizations/mine"
[  {    "id": "string",    "name": "string",    "slug": "string",    "roles": [      "org:admin",      "billing"    ],    "role": "OWNER",    "active": true  }]
POST
/projects/{projectId}/auth/organizations/active

Path Parameters

projectId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X POST "https://example.com/projects/string/auth/organizations/active" \  -H "Content-Type: application/json" \  -d '{    "organizationId": "string"  }'
Empty
DELETE
/projects/{projectId}/auth/organizations/active

Path Parameters

projectId*string

Response Body

curl -X DELETE "https://example.com/projects/string/auth/organizations/active"
Empty
DELETE
/projects/{projectId}/auth/organizations/{organizationId}/members/me

Path Parameters

organizationId*string
projectId*string

Response Body

curl -X DELETE "https://example.com/projects/string/auth/organizations/string/members/me"
Empty
POST
/projects/{projectId}/auth/organizations/domain-join

Path Parameters

projectId*string

Response Body

application/json

curl -X POST "https://example.com/projects/string/auth/organizations/domain-join"
{  "joined": true,  "organizationId": "string",  "domain": "acme.com",  "reason": "JOINED"}
POST
/projects/{projectId}/auth/organizations/invitations/accept

Path Parameters

projectId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/projects/string/auth/organizations/invitations/accept" \  -H "Content-Type: application/json" \  -d '{    "token": "string"  }'
{  "id": "string",  "organizationId": "string",  "customerId": "string",  "role": "OWNER",  "roles": [    "org:admin"  ],  "source": "API",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "customer": {    "id": "string",    "email": "string",    "externalId": "user_8291",    "identitySource": "MAILMUS_AUTH"  }}
GET
/projects/{projectId}/auth/organizations/invitations/{token}

Path Parameters

token*string
projectId*string

Response Body

application/json

curl -X GET "https://example.com/projects/string/auth/organizations/invitations/string"
{  "organizationName": "string",  "email": "string",  "role": "OWNER"}
POST
/projects/{projectId}/auth/sso/start

Path Parameters

projectId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/projects/string/auth/sso/start" \  -H "Content-Type: application/json" \  -d '{    "email": "string",    "redirectUri": "string"  }'
{  "ssoRequired": true,  "redirectUrl": "string"}
POST
/projects/{projectId}/auth/sso/{connectionId}/acs

Path Parameters

projectId*string
connectionId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/projects/string/auth/sso/string/acs" \  -H "Content-Type: application/json" \  -d '{    "SAMLResponse": "string",    "RelayState": "string"  }'
{  "accessToken": "string",  "refreshToken": "string",  "expiresIn": 900,  "customer": {    "id": "string",    "projectId": "string",    "email": "string",    "emailVerifiedAt": "2019-08-24T14:15:22Z",    "phone": "string",    "phoneVerifiedAt": "2019-08-24T14:15:22Z",    "metadata": {},    "roles": [      "string"    ],    "lastSignInAt": "2019-08-24T14:15:22Z",    "bannedAt": "2019-08-24T14:15:22Z",    "mfaEnabled": true,    "mfaEnabledAt": "2019-08-24T14:15:22Z",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "identities": [      {        "provider": "GOOGLE",        "createdAt": "2019-08-24T14:15:22Z"      }    ]  }}